package cn.sagacloud.cadengine

import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import cn.sagacloud.android.cadengine.FloorScene
import kotlinx.android.synthetic.main.activity_main.*
import org.jetbrains.anko.doAsync
import org.jetbrains.anko.uiThread

class MainActivity : AppCompatActivity() {
    val scene = FloorScene()
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        graphyView.scene = scene

        /** 开启异步 */
        doAsync {
            scene.loadUrl("http://192.168.20.215:9001/image-service/common/file_get?systemId=revit&key=base/a12a88d1d92411e98e2ded11576ff4c3.jsonz")
            //scene.loadUrl("http://api.sagacloud.cn/dp-auxiliary/image-service/common/file_get?systemId=revit&key=Fl42010500018b580334dcf111e8a553db1eadfac99320190803114958bim.jsonz")
            /** 主线程处理ui */
            uiThread {
                /** 适应屏幕大小 */
                graphyView.fitSceneToView()
                /** 限定移动范围不超出屏幕 */
                graphyView.moveRange()
            }
        }
    } // Function onCreate()
} // Class MainActivity
